package com.realnet.order_estimation.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.order_estimation.Entity.Generate_quote;
import com.realnet.order_estimation.Services.Generate_quoteService ;








@RequestMapping(value = "/token/Generate_quote")
 @CrossOrigin("*") 
@RestController
public class tokenFree_Generate_quoteController {
	@Autowired
	private Generate_quoteService Service;

@Value("${projectPath}")
	private String projectPath;
 








	@PostMapping("/Generate_quote")
		  public Generate_quote Savedata(@RequestBody Generate_quote data) {
		Generate_quote save = Service.Savedata(data)	;







		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Generate_quote/{id}")
	public  Generate_quote update(@RequestBody Generate_quote data,@PathVariable Integer id ) {
		Generate_quote update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Generate_quote/getall/page")
	public Page<Generate_quote> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Generate_quote> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Generate_quote")
	public List<Generate_quote> getdetails() {
		 List<Generate_quote> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Generate_quote")
	public List<Generate_quote> getallwioutsec() {
		 List<Generate_quote> get = Service.getdetails();		
		return get;
}
@GetMapping("/Generate_quote/{id}")
	public  Generate_quote  getdetailsbyId(@PathVariable Integer id ) {
		Generate_quote  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Generate_quote/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}









}